# ApplicationFramework
TKPShape
PGeom

# PGeom_Conic Class Reference

`#include <PGeom_Conic.hxx>`

Inheritance diagram for PGeom_Conic:

[legend]

## Public Member Functions

Standard_EXPORT void | Position (const gp_Ax2 &aPosition)
| Set the value of the field position with <aposition>. .
Standard_EXPORT gp_Ax2 | Position () const
| Returns the value of the field <position>. .
| PGeom_Conic (const Storage_stCONSTclCOM &a)
const gp_Ax2 & | _CSFDB_GetPGeom_Conicposition () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | PGeom_Conic ()
| Initializes the field(s) with default value(s). .
Standard_EXPORT | PGeom_Conic (const gp_Ax2 &aPosition)
| Initializes the field position with <aposition>. .

## Protected Attributes

gp_Ax2 | position

## Constructor & Destructor Documentation

PGeom_Conic::PGeom_Conic | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PGeom_Conic::PGeom_Conic | ( |  | ) | `[protected]`

Standard_EXPORT PGeom_Conic::PGeom_Conic | ( | const gp_Ax2 & | aPosition | ) | `[protected]`

## Member Function Documentation

const gp_Ax2& PGeom_Conic::_CSFDB_GetPGeom_Conicposition | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom_Conic::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Curve. Reimplemented in PGeom_Circle, PGeom_Ellipse, PGeom_Hyperbola, and PGeom_Parabola.

Standard_EXPORT gp_Ax2 PGeom_Conic::Position | ( |  | ) | const

Standard_EXPORT void PGeom_Conic::Position | ( | const gp_Ax2 & | aPosition | ) |

## Field Documentation

gp_Ax2 PGeom_Conic::position `[protected]`

The documentation for this class was generated from the following file:

- PGeom_Conic.hxx